Raritan PX2/PX3 JSON-RPC API: emdmodel::Emd_2_2_8 Interface Reference

Raritan PX2/PX3 JSON-RPC API

Classes | Public Member Functions | Public Attributes | List of all members
emdmodel::Emd_2_2_8 Interface Reference

## Classes
struct | MetaData
| EMD metadata. More...
struct | Settings
| EMD settings. More...

## Public Member Functions
MetaData | getMetaData ()
| Retrieve the EMD metadata. More...
peripheral::DeviceManager_3_0_2 | getPeripheralDeviceManager ()
| Get the peripheral device manager. More...
hmi::InternalBeeper_2_0_1 | getBeeper ()
| Get the built-in beeper, if there is any. More...
Settings | getSettings ()
| Retrieve the EMD settings. More...
int | setSettings (in Settings settings)
| Change the EMD settings. More...
vector< portsmodel::Port_2_0_2 > | getFeaturePorts ()
| Get all feature ports of this device. More...
vector< portsmodel::Port_2_0_2 > | getAuxiliaryPorts ()
| Get all auxiliary ports of this device. More...
sensors::Logger_2_1_6 | getSensorLogger ()
| Get the sensor logger. More...

## Public Attributes
constant int | ERR_INVALID_PARAMS = 1
valueobject | SettingsChangedEvent: event::UserEvent { Settings oldSettings
| Event: EMD settings have changed. More...
Settings | newSettings
| Settings after change.

## Member Function Documentation

## ◆ getAuxiliaryPorts()

vector<portsmodel::Port_2_0_2> emdmodel::Emd_2_2_8::getAuxiliaryPorts | ( |  | ) |

Get all auxiliary ports of this device.

This returns an entry for all auxiliary ports, no matter whether something is connected or not. A device with n auxiliary ports will return n entries here.

Returns
  List of all Auxiliary Ports

## ◆ getBeeper()

hmi::InternalBeeper_2_0_1 emdmodel::Emd_2_2_8::getBeeper | ( |  | ) |

Get the built-in beeper, if there is any.

Returns
  Beeper interface

## ◆ getFeaturePorts()

vector<portsmodel::Port_2_0_2> emdmodel::Emd_2_2_8::getFeaturePorts | ( |  | ) |

Get all feature ports of this device.

This returns an entry for all feature ports, no matter whether something is connected or not. A device with n feature ports will return n entries here.

Returns
  List of all Feature Ports

## ◆ getMetaData()

MetaData emdmodel::Emd_2_2_8::getMetaData | ( |  | ) |

Retrieve the EMD metadata.

Returns
  EMD metadata

## ◆ getPeripheralDeviceManager()

peripheral::DeviceManager_3_0_2 emdmodel::Emd_2_2_8::getPeripheralDeviceManager | ( |  | ) |

Get the peripheral device manager.

Returns
  Peripheral device manager

## ◆ getSensorLogger()

sensors::Logger_2_1_6 emdmodel::Emd_2_2_8::getSensorLogger | ( |  | ) |

Get the sensor logger.

Returns
  Sensor logger reference

## ◆ getSettings()

Settings emdmodel::Emd_2_2_8::getSettings | ( |  | ) |

Retrieve the EMD settings.

Returns
  EMD settings

## ◆ setSettings()

int emdmodel::Emd_2_2_8::setSettings | ( | in Settings | settings | ) |

Change the EMD settings.

Parameters

  settings | New EMD settings

Returns
  0 if OK
  ERR_INVALID_PARAMS if any parameters are invalid

## Member Data Documentation

## ◆ SettingsChangedEvent

valueobject emdmodel::Emd_2_2_8::SettingsChangedEvent

Event: EMD settings have changed.

Settings before change

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/Emd.idl